ChangeSet 1.1587.3.41, 2004/05/05 14:32:49-07:00, herbert@gondor.apana.org.au

[PATCH] USB Storage: Sony Clie

I've received the following report which indicates that the Sony Clie needs
the US_FL_FIX_INQUIRY flag set.

http://bugs.debian.org/243650


 drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri May 14 15:29:26 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri May 14 15:29:26 2004
@@ -335,6 +335,13 @@
 		"PEG Mass Storage",
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY ),
+
+/* Submitted by Mike Alborn <malborn@deandra.homeip.net> */
+UNUSUAL_DEV(  0x054c, 0x016a, 0x0000, 0x9999,
+		"Sony",
+		"PEG Mass Storage",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_INQUIRY ),
 		
 UNUSUAL_DEV(  0x057b, 0x0000, 0x0000, 0x0299, 
 		"Y-E Data",
